## ose-metering-reporting-operator-container-v4.6.0-202205020737.p0.gd74112d.assembly.stream.tar.gz

=== cznic/ql@v1.2.0/Makefile ===
# Copyright (c) 2014 The ql Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY:	all clean cover cpu editor internalError later mem nuke todo edit

grep=--include=*.go --include=*.l --include=*.y --include=*.yy --exclude=ql.y
ngrep='TODOOK\|parser\.go\|scanner\.go\|.*_string\.go'

all: editor scanner.go parser.go
	go vet 2>&1 | grep -v $(ngrep) || true
	golint 2>&1 | grep -v $(ngrep) || true
	make todo
	unused . || true
	misspell *.go
	gosimple || true
	unconvert -apply
	go install ./...

bench: all
	go test -run NONE -bench .

clean:
	go clean
	rm -f *~ y.go y.tab.c *.out *.test

coerce.go: helper/helper.go
	if [ -f coerce.go ] ; then rm coerce.go ; fi
	go run helper/helper.go | gofmt > $@

cover:
	t=$(shell mktemp) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu: clean
	go test -run @ -bench . -cpuprofile cpu.out
	go tool pprof -lines *.test cpu.out

edit:
	@ 1>/dev/null 2>/dev/null gvim -p Makefile *.l *.y *.go testdata.ql testdata.log

editor: ql.y scanner.go parser.go coerce.go
	gofmt -s -l -w *.go
	go test -i
	go test 2>&1 | tee log

internalError:
	egrep -ho '"internal error.*"' *.go | sort | cat -n

later:
	@grep -n $(grep) LATER * || true
	@grep -n $(grep) MAYBE * || true

mem: clean
	go test -run @ -bench . -memprofile mem.out -memprofilerate 1 -timeout 24h
	go tool pprof -lines -web -alloc_space *.test mem.out

nuke: clean
	go clean -i

parser.go: parser.y
	a=$(shell mktemp) ; \
	  goyacc -o /dev/null -xegen $$a $< ; \
	  goyacc -cr -o $@ -xe $$a $< ; \
	  rm -f $$a
	sed -i -e 's|//line.*||' -e 's/yyEofCode/yyEOFCode/' $@

ql.y: doc.go
	sed -n '1,/^package/ s/^\/\/  //p' < $< \
		| ebnf2y -o $@ -oe $*.ebnf -start StatementList -pkg $* -p _
	goyacc -cr -o /dev/null $@

scanner.go: scanner.l parser.go
	golex -o $@ $<

todo:
	@grep -nr $(grep) ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* * || true
	@grep -nr $(grep) TODO * || true
	@grep -nr $(grep) BUG * || true
	@grep -nr $(grep) [^[:alpha:]]println * || true

=== cznic/internal@v0.0.0-20180608152220-f44710a21d00/file/Makefile ===
# Copyright 2016 The Internal Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY:	all clean cover cpu editor internalError later mem nuke todo edit

grep=--include=*.go --include=*.l --include=*.y --include=*.yy
ngrep='TODOOK\|parser\.go\|scanner\.go\|.*_string\.go'

all: editor
	go vet 2>&1 | grep -v $(ngrep) || true
	golint 2>&1 | grep -v $(ngrep) || true
	make todo
	unused . || true
	misspell *.go
	gosimple || true

clean:
	go clean
	rm -f *~ *.test *.out

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu: clean
	go test -run @ -bench . -cpuprofile cpu.out
	go tool pprof -lines *.test cpu.out

edit:
	@ 1>/dev/null 2>/dev/null gvim -p Makefile log *.go

editor:
	gofmt -l -s -w *.go
	go test 2>&1 | tee log
	go build

internalError:
	egrep -ho '"internal error.*"' *.go | sort | cat -n

later:
	@grep -n $(grep) LATER * || true
	@grep -n $(grep) MAYBE * || true

mem: clean
	go test -run @ -bench BenchmarkReadWrite -benchmem -memprofile mem.out -memprofilerate 1 -timeout 24h
	go tool pprof -lines -web -alloc_space *.test mem.out

nuke: clean
	go clean -i

todo:
	@grep -nr $(grep) ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* * | grep -v $(ngrep) || true
	@grep -nr $(grep) TODO * | grep -v $(ngrep) || true
	@grep -nr $(grep) BUG * | grep -v $(ngrep) || true
	@grep -nr $(grep) [^[:alpha:]]println * | grep -v $(ngrep) || true

=== apache/thrift@v0.0.0-20171203172758-327ebb6c2b6d/tutorial/cpp/CMakeLists.txt ===
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the License for the
# specific language governing permissions and limitations
# under the License.
#

include_directories(SYSTEM "${Boost_INCLUDE_DIRS}")

#Make sure gen-cpp files can be included
include_directories("${CMAKE_CURRENT_BINARY_DIR}")
include_directories("${CMAKE_CURRENT_BINARY_DIR}/gen-cpp")
include_directories("${PROJECT_SOURCE_DIR}/lib/cpp/src")

include(ThriftMacros)

set(tutorialgencpp_SOURCES
    gen-cpp/Calculator.cpp
    gen-cpp/SharedService.cpp
    gen-cpp/shared_constants.cpp
    gen-cpp/shared_types.cpp
    gen-cpp/tutorial_constants.cpp
    gen-cpp/tutorial_types.cpp
)
add_library(tutorialgencpp STATIC ${tutorialgencpp_SOURCES})
LINK_AGAINST_THRIFT_LIBRARY(tutorialgencpp thrift)

add_custom_command(OUTPUT gen-cpp/Calculator.cpp gen-cpp/SharedService.cpp gen-cpp/shared_constants.cpp gen-cpp/shared_types.cpp gen-cpp/tutorial_constants.cpp gen-cpp/tutorial_types.cpp
    COMMAND ${THRIFT_COMPILER} --gen cpp -r ${PROJECT_SOURCE_DIR}/tutorial/tutorial.thrift
)

add_executable(TutorialServer CppServer.cpp)
target_link_libraries(TutorialServer tutorialgencpp)
LINK_AGAINST_THRIFT_LIBRARY(TutorialServer thrift)
if (ZLIB_FOUND)
  target_link_libraries(TutorialServer ${ZLIB_LIBRARIES})
endif ()

add_executable(TutorialClient CppClient.cpp)
target_link_libraries(TutorialClient tutorialgencpp)
LINK_AGAINST_THRIFT_LIBRARY(TutorialClient thrift)
if (ZLIB_FOUND)
  target_link_libraries(TutorialClient ${ZLIB_LIBRARIES})
endif ()

=== apache/thrift@v0.0.0-20171203172758-327ebb6c2b6d/debian/control ===
Source: thrift
Section: devel
Priority: extra
Build-Depends: debhelper (>= 9), build-essential, mono-mcs, python-dev, ant,
    mono-devel,  libmono-system-web4.0-cil, erlang-base, ruby-dev | ruby1.9.1-dev, ruby-bundler ,autoconf, automake,
    pkg-config, libtool, bison, flex, libboost-dev | libboost1.53-dev,
    python-all, python-setuptools, python-all-dev, python-all-dbg,
    python3-all, python3-setuptools, python3-all-dev, python3-all-dbg,
    openjdk-7-jdk | openjdk-8-jdk | default-jdk,
    libboost-test-dev | libboost-test1.53-dev, libevent-dev, libssl-dev, perl (>= 5.8.0-7),
    php5 | php7.0, php5-dev | php7.0-dev, libglib2.0-dev, qtchooser, qtbase5-dev-tools
Maintainer: Thrift Developer's <dev@thrift.apache.org>
Homepage: http://thrift.apache.org/
Vcs-Git: https://git-wip-us.apache.org/repos/asf/thrift.git
Vcs-Browser: https://git-wip-us.apache.org/repos/asf?p=thrift.git
Standards-Version: 3.9.7
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: thrift-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiler for Thrift definition files
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Thrift compiler that is used for translating
 from .thrift files (containing the definitions) to the language binding
 for the supported languages.

Package: python-thrift
Architecture: any
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-six
Recommends: python-twisted-web, python-backports.ssl-match-hostname, python-ipaddress
Provides: ${python:Provides}
Description: Python bindings for Thrift (Python 2)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Python bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Python
 classes, and then the modules in this package will allow you to use those
 classes in your programs.
 .
 This package installs the library for Python 2.

Package: python-thrift-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, python-thrift (= ${binary:Version}), python-all-dbg
Provides: ${python:Provides}
Description: Python bindings for Thrift (debug version)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Python bindings for Thrift with debugging symbols.
 You will need the thrift tool (in the thrift-compiler package) to compile your
 definition to Python classes, and then the modules in this package will allow
 you to use those classes in your programs.

Package: python3-thrift
Architecture: any
Section: python
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-six
Recommends: python3-twisted-web
Provides: ${python:Provides}
Description: Python bindings for Thrift (Python 3)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Python bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Python
 classes, and then the modules in this package will allow you to use those
 classes in your programs.
 .
 This package installs the library for Python 3.

Package: python3-thrift-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-thrift (= ${binary:Version}), python3-all-dbg
Provides: ${python:Provides}
Description: Python bindings for Thrift (debug version)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Python bindings for Thrift with debugging symbols.
 You will need the thrift tool (in the thrift-compiler package) to compile your
 definition to Python classes, and then the modules in this package will allow
 you to use those classes in your programs.

Package: ruby-thrift
Architecture: all
Section: libs
Depends: ruby | ruby-interpreter, ${shlibs:Depends}, ${misc:Depends}
Provides: libthrift-ruby
Replaces: libthrift-ruby
Breaks: libthrift-ruby
Description: Ruby bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Ruby bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Ruby
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-java
Architecture: all
Section: java
Depends: ${misc:Depends}
Description: Java bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Java bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Java
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-cil
Architecture: all
Section: cli-mono
Depends: cli-common, libmono-corlib4.0-cil (>= 2.10) | libmono-corlib4.5-cil (>=3.2), libmono-system4.0-cil (>= 2.10),
    libmono-system-web4.0-cil (>= 2.10), ${misc:Depends}
Description: CLI bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the CLI bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to C#
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-perl
Architecture: all
Section: perl
Depends: perl (>= 5.8.0-7), ${misc:Depends}
Description: Perl bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Perl bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Perl
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Thrift C++ library
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the runtime libraries needed for C++ applications
 using Thrift.

Package: libthrift0-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, libthrift0 (= ${binary:Version})
Description: Thrift C++ library debug symbols
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the debug symbols for the Thrift C++ runtime libraries.

Package: libthrift-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libthrift0 (= ${binary:Version}), libglib2.0-dev
Description: Thrift C++ library (development headers)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the development libraries required for writing C++
 applications using Thrift.

Package: php5-thrift
Architecture: any
Section: php
Depends: ${php:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${php:Provides}
Description: PHP bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the PHP bindings for Thrift.

=== apache/thrift@v0.12.0/debian/control ===
Source: thrift
Section: devel
Priority: extra
Build-Depends: debhelper (>= 9), build-essential, mono-mcs, python-dev, ant,
    mono-devel,  libmono-system-web4.0-cil, erlang-base, ruby-dev | ruby1.9.1-dev, ruby-bundler ,autoconf, automake,
    pkg-config, libtool, bison, flex, libboost-dev | libboost1.53-dev | libboost1.63-all-dev,
    python-all, python-setuptools, python-all-dev, python-all-dbg,
    python3-all, python3-setuptools, python3-all-dev, python3-all-dbg,
    openjdk-7-jdk | openjdk-8-jdk | default-jdk,
    libboost-test-dev | libboost-test1.53-dev | libboost-test1.63-dev, libevent-dev, libssl-dev, perl (>= 5.8.0-7),
    php (>= 5), php-dev (>= 5), libglib2.0-dev, qtchooser, qtbase5-dev-tools
Maintainer: Thrift Developer's <dev@thrift.apache.org>
Homepage: http://thrift.apache.org/
Vcs-Git: https://git-wip-us.apache.org/repos/asf/thrift.git
Vcs-Browser: https://git-wip-us.apache.org/repos/asf?p=thrift.git
Standards-Version: 3.9.7
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: thrift-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiler for Thrift definition files
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Thrift compiler that is used for translating
 from .thrift files (containing the definitions) to the language binding
 for the supported languages.

Package: python-thrift
Architecture: any
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-six
Recommends: python-twisted-web, python-backports.ssl-match-hostname, python-ipaddress
Provides: ${python:Provides}
Description: Python bindings for Thrift (Python 2)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Python bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Python
 classes, and then the modules in this package will allow you to use those
 classes in your programs.
 .
 This package installs the library for Python 2.

Package: python-thrift-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, python-thrift (= ${binary:Version}), python-all-dbg
Provides: ${python:Provides}
Description: Python bindings for Thrift (debug version)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Python bindings for Thrift with debugging symbols.
 You will need the thrift tool (in the thrift-compiler package) to compile your
 definition to Python classes, and then the modules in this package will allow
 you to use those classes in your programs.

Package: python3-thrift
Architecture: any
Section: python
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-six
Recommends: python3-twisted-web
Provides: ${python:Provides}
Description: Python bindings for Thrift (Python 3)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Python bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Python
 classes, and then the modules in this package will allow you to use those
 classes in your programs.
 .
 This package installs the library for Python 3.

Package: python3-thrift-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-thrift (= ${binary:Version}), python3-all-dbg
Provides: ${python:Provides}
Description: Python bindings for Thrift (debug version)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Python bindings for Thrift with debugging symbols.
 You will need the thrift tool (in the thrift-compiler package) to compile your
 definition to Python classes, and then the modules in this package will allow
 you to use those classes in your programs.

Package: ruby-thrift
Architecture: all
Section: libs
Depends: ruby | ruby-interpreter, ${shlibs:Depends}, ${misc:Depends}
Provides: libthrift-ruby
Replaces: libthrift-ruby
Breaks: libthrift-ruby
Description: Ruby bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Ruby bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Ruby
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-java
Architecture: all
Section: java
Depends: ${misc:Depends}
Description: Java bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Java bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Java
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-cil
Architecture: all
Section: cli-mono
Depends: cli-common, libmono-corlib4.0-cil (>= 2.10) | libmono-corlib4.5-cil (>=3.2), libmono-system4.0-cil (>= 2.10),
    libmono-system-web4.0-cil (>= 2.10), ${misc:Depends}
Description: CLI bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the CLI bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to C#
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-perl
Architecture: all
Section: perl
Depends: perl (>= 5.8.0-7), ${misc:Depends}
Description: Perl bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the Perl bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Perl
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Thrift C++ library
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the runtime libraries needed for C++ applications
 using Thrift.

Package: libthrift0-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, libthrift0 (= ${binary:Version})
Description: Thrift C++ library debug symbols
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the debug symbols for the Thrift C++ runtime libraries.

Package: libthrift-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libthrift0 (= ${binary:Version}), libglib2.0-dev
Description: Thrift C++ library (development headers)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the development libraries required for writing C++
 applications using Thrift.

Package: php5-thrift
Architecture: any
Section: php
Depends: ${php:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${php:Provides}
Description: PHP bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 .
 This package contains the PHP bindings for Thrift.
